<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:v="http://typo3.org/ns/FluidTYPO3/Vhs/ViewHelpers"
      xmlns:kitt3nForm="http://typo3.org/ns/KITT3N/Kitt3nForm/ViewHelpers"
      data-namespace-typo3-fluid="true">

    <div class="form-group">
        <f:render partial="Render/Fields/Attributes/InputGroupAddon" arguments="{type: type}" />
        <div class="form-check">
            <f:comment>
                Workaround for empty checkboxes

                kitt3nForm:form.checkboxWithoutHiddenInputField overrides standard f:form.checkbox cause it renders a hidden input field with
                same the name as checkbox field. This confuses symfony => checkbox validates as checked even if not checked. So we use a workaround here.

                See also: RenderController and sessionService

                Info: {val.vars.value} is never set correctly. I don't know why, so I set the value to '1'.
                If not checked it does not matter what is set here, so who cares.
            </f:comment>
            <kitt3nForm:form.checkboxWithoutHiddenInputField name="{val.vars.name}" value="1" checked="{val.vars.data}" class="form-check-input" />
            <label class="form-check-label" for="{val.vars.name}">{val.vars.label -> f:format.raw()}</label>
        </div>

        <v:security.allow anyBackendUser="TRUE">
            <span style="position: absolute;top: 0px;right: 0px;">
                <span class="badge badge-info">session: '{val.vars.attr.session}'</span>
            </span>
        </v:security.allow>
        <f:render partial="Render/Fields/Attributes/Help" arguments="{val: val}" />
    </div>

</html>
